Update resource.
curl --request PUT \
--url https://api.revong.com/api/v1/resources/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"name": "<string>",
"desc": "<string>",
"category": "<string>",
"type": "<string>",
"restricted": true,
"groups": [
"<string>"
],
"users": [
"<string>"
],
"parentId": "<string>"
}
'import requests
url = "https://api.revong.com/api/v1/resources/{resourceId}"
payload = {
"version": 123,
"name": "<string>",
"desc": "<string>",
"category": "<string>",
"type": "<string>",
"restricted": True,
"groups": ["<string>"],
"users": ["<string>"],
"parentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
name: '<string>',
desc: '<string>',
category: '<string>',
type: '<string>',
restricted: true,
groups: ['<string>'],
users: ['<string>'],
parentId: '<string>'
})
};
fetch('https://api.revong.com/api/v1/resources/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Resources
Update resource.
ROLES: RESOURCE_WRITE,RESOURCE_ADMIN USER: true SERVICE ACCOUNT: true
PUT
/
api
/
v1
/
resources
/
{resourceId}
Update resource.
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Body
application/json
Provide current version.
Name.
Description.
Category.
You can provide type of resource (view schema) [DATA,BIG_DATA,TABLE,BIG_TABLE].
Provide if access should be restricted.
Provide which groups should have access to it, once restricted is true.
Provide which users should have access to it, once restricted is true.
Provide if resource has parent resource.
Response
OK.
⌘I

